/* LCM type definition class file
 * This file was automatically generated by lcm-gen
 * DO NOT MODIFY BY HAND!!!!
 */

package gpslcm;
 
import java.io.*;
import java.util.*;
import lcm.lcm.*;
 
public final class gps_lcm implements lcm.lcm.LCMEncodable
{
    public double time;
    public double latitude;
    public double longitude;
    public double altitude;
    public double utm_x;
    public double utm_y;
 
    public gps_lcm()
    {
    }
 
    public static final long LCM_FINGERPRINT;
    public static final long LCM_FINGERPRINT_BASE = 0xd7822a9a8512aa3bL;
 
    static {
        LCM_FINGERPRINT = _hashRecursive(new ArrayList<Class<?>>());
    }
 
    public static long _hashRecursive(ArrayList<Class<?>> classes)
    {
        if (classes.contains(gpslcm.gps_lcm.class))
            return 0L;
 
        classes.add(gpslcm.gps_lcm.class);
        long hash = LCM_FINGERPRINT_BASE
            ;
        classes.remove(classes.size() - 1);
        return (hash<<1) + ((hash>>63)&1);
    }
 
    public void encode(DataOutput outs) throws IOException
    {
        outs.writeLong(LCM_FINGERPRINT);
        _encodeRecursive(outs);
    }
 
    public void _encodeRecursive(DataOutput outs) throws IOException
    {
        outs.writeDouble(this.time); 
 
        outs.writeDouble(this.latitude); 
 
        outs.writeDouble(this.longitude); 
 
        outs.writeDouble(this.altitude); 
 
        outs.writeDouble(this.utm_x); 
 
        outs.writeDouble(this.utm_y); 
 
    }
 
    public gps_lcm(byte[] data) throws IOException
    {
        this(new LCMDataInputStream(data));
    }
 
    public gps_lcm(DataInput ins) throws IOException
    {
        if (ins.readLong() != LCM_FINGERPRINT)
            throw new IOException("LCM Decode error: bad fingerprint");
 
        _decodeRecursive(ins);
    }
 
    public static gpslcm.gps_lcm _decodeRecursiveFactory(DataInput ins) throws IOException
    {
        gpslcm.gps_lcm o = new gpslcm.gps_lcm();
        o._decodeRecursive(ins);
        return o;
    }
 
    public void _decodeRecursive(DataInput ins) throws IOException
    {
        this.time = ins.readDouble();
 
        this.latitude = ins.readDouble();
 
        this.longitude = ins.readDouble();
 
        this.altitude = ins.readDouble();
 
        this.utm_x = ins.readDouble();
 
        this.utm_y = ins.readDouble();
 
    }
 
    public gpslcm.gps_lcm copy()
    {
        gpslcm.gps_lcm outobj = new gpslcm.gps_lcm();
        outobj.time = this.time;
 
        outobj.latitude = this.latitude;
 
        outobj.longitude = this.longitude;
 
        outobj.altitude = this.altitude;
 
        outobj.utm_x = this.utm_x;
 
        outobj.utm_y = this.utm_y;
 
        return outobj;
    }
 
}

